View unanswered posts | View active topics



Reply to topic  [ 3 posts ] 
AS3 Projector Targeting Player 11? 
Author Message
Member

Joined: Sun Jul 07, 2013 5:56 pm
Posts: 13
Reply with quote
I am building an AS3 Projector project (not AIR) and I notice that whenever I publish, the generated .swf inside the /bin folder is targeting Flash Player 11, instead of Flash Player 19.

Additionally, I sometimes get this error:
Code:
[MY_PATH]\frameworks\flex-config.xml:47: Error: unable to open [MY_PATH]\frameworks\libs\player\11.1\playerglobal.swc'.

I can rebuild the project to make it work again, but it seems to come back everytime I start FlashDevelop.

I can permanently fix the problem by hardcodeing the targetPlayerMajorVersion and targetPlayerMinorVersion in the flex-config.xml file:

Code:
<path-element>libs/player/{targetPlayerMajorVersion}.{targetPlayerMinorVersion}/playerglobal.swc</path-element>

to:
Code:
<path-element>libs/player/19.0/playerglobal.swc</path-element>

However, the published .swf will always be set to open in Flash Player 11. How can I change this?


Mon Nov 30, 2015 10:36 pm
Profile
Admin

Joined: Wed Aug 31, 2005 7:27 am
Posts: 12172
Location: London
Reply with quote
The Flex SDK creates a SWF against a specific API (say FP19), however running the SWF is dependent on what player you have on your system.

From FD main menu Tools > Install Software you can install an updated standalone Flash Player (restart FD after installation).
In the browser you need to follow the regular FP update process of your browser.


Sat Jan 02, 2016 11:32 pm
Profile WWW
Member

Joined: Fri Sep 13, 2019 9:18 pm
Posts: 1
Reply with quote
Philippe wrote:
The Flex SDK creates a SWF against a specific API (say FP19), however running the SWF is dependent on what player you have on your system.

From FD main menu Tools > Install Software you can install an updated standalone Flash Player (restart FD after installation).
In the browser you need to follow the regular FP update process of your browser.


Hello I'm from Brazil. After scouring the internet looking for an answer "Why is my Flash Developer running Flashplayer 11.0 instead of 32.0" I found this comment that saved me. Almost 15 years have passed and it has served me very well. Thanks, even if you won't read this.


Fri Sep 13, 2019 9:24 pm
Profile
Display posts from previous:  Sort by  
Reply to topic   [ 3 posts ] 

Who is online

Users browsing this forum: No registered users and 2 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum

Search for:
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group.
Designed by ST Software for PTF.